Reply in a comment thread
POST
/api/v1/threads/{threadId}/comments
const url = 'https://app.avera.io/api/v1/threads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/comments';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"body":"example","parentCommentId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","contentFormat":"MARKDOWN"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/threads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/comments \ --header 'Content-Type: application/json' \ --data '{ "body": "example", "parentCommentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "contentFormat": "MARKDOWN" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”threadId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
body
required
string
parentCommentId
string | null format: uuid
contentFormat
required
string
Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string format: uuid
threadId
required
string format: uuid
parentCommentId
string | null format: uuid
depth
required
integer format: int32
body
string | null
contentFormat
required
string
severity
string | null
category
string | null
recommendation
string | null
resolutionState
required
string
status
required
string
version
required
integer format: int32
edited
required
boolean
deleted
required
boolean
createdByActor
required
string
createdAt
required
string format: date-time
createdBy
required
string format: uuid
editedAt
string | null format: date-time
deletedAt
string | null format: date-time
deletedBy
string | null format: uuid